﻿@model BeerOverFlow.Models.BreweryViewModel

@{
    ViewData["Title"] = "CreateBrewery";
}

<h1>CreateBrewery</h1>

<h4>BreweryViewModel</h4>
<hr />
<div class="row">
    <div class="col-md-4">

        <form asp-action="CreateBrewery">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <div class="form-group">
                <label asp-for="BreweryName" class="control-label"></label>
                <input asp-for="BreweryName" class="form-control" />
                <span asp-validation-for="BreweryName" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="CountryName" class="control-label"></label>
                <select asp-for="CountryName" class="form-control" asp-items="@ViewBag.CountryList"></select>
                <span asp-validation-for="CountryName" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Description" class="control-label"></label>
                <input asp-for="Description" spellcheck="true" class="form-control" />
                <span asp-validation-for="Description" class="text-danger"></span>
            </div>
            <div class="form-group">
                <input asp-controller="Brewery" asp-action="CreateBrewery" asp- type="submit" value="CreateBrewery" class="btn btn-primary" />
            </div>
        </form>
    </div>
</div>

<div>
    <a asp-action="Index">Back to List</a>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}
